/*
---------- 
【目次】
global
ヘッダ
    残り時間
出題部分
    1カラム表示
    2カラム表示パターンA
    2カラム表示パターンB
    共通＆1カラム表示のときの中身
    2カラム表示のときの中身
    問題文周り
        後で見直すにチェックが入っている場合の装飾
    選択肢エリア
        後で見直すにチェックが入っている場合の装飾
    線囲み（★2025.03.追加）
ボタンエリア
    電卓
    ポップアップ
問題一覧ページ
試験結果ページ
    テーブル
      2級実技の結果一覧（★2025.03.追加）
入口ページ
各級科目選択ページ
    入口ページに戻るボタン（★2025.03.追加）
個別設定

※2025.03.変更箇所あり；「2025.03.変更」で検索※
----------
 */

/* --- global --- */
* {
  font-family: "游明朝", YuMincho, "Hiragino Mincho ProN W3",
    "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", "HG明朝E", "ＭＳ Ｐ明朝",
    "ＭＳ 明朝", serif;
  box-sizing: border-box;
} /*2025.04.変更*/
html,
body {
  width: 100%;
  min-width: 800px;
  height: 100%;
  color: #222222; /*2025.03.変更*/
  font-size: 16px;
  font-family: "游明朝", YuMincho, "Hiragino Mincho ProN W3",
    "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", "HG明朝E", "ＭＳ Ｐ明朝",
    "ＭＳ 明朝", serif;
  /*2025.04.17.変更*/
  margin: 0;
  print-color-adjust: exact;
  -webkit-print-color-adjust: exact;
  position: relative;
}

/* ヘッダ */
header {
  width: 100%;
  height: 120px;
  background: rgb(199, 214, 224); /*2025.03.変更*/
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  color: #000000;
  padding: 0.5em 2em;
  border-bottom: solid 8px #e9ebee; /*2025.03.変更*/
}

.title {
  font-size: 1.125em;
}
.info-area {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
  justify-content: center;
  align-items: center;
}
.current-question {
  color: #222222;
  font-size: 1.25em;
  font-weight: 600;
  text-align: center;
  padding: 0.125em 0 0 0;
}

/* 残り時間 */
.time-area {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.time-area__text {
  font-size: 0.85em;
  font-weight: 600;
}
.time-area__text__value {
  display: inline-block;
  border: solid 1px #aabbcc;
  background: #ffffff;
  border-radius: 0.25em;
  padding: 0.125em 0.5em;
  margin-left: 0.5em;
  font-size: 1.25em;
  color: rgb(216, 9, 9);
}

/* 出題部分 */
.page {
  width: 100%;
  height: calc(
    100% - 120px - 64px
  ); /*ヘッダとボタンエリアのぶんを引く（border分は引かない）*/
  margin: 0;
  background: #e9ebee;
} /*2025.03.変更*/

/*1カラム表示*/
.page.one-column {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  justify-content: center;
  align-items: stretch;
  padding: 0 0.5em;
}
/*2カラム表示パターンA*/
.page.two-column-a {
  display: grid;
  grid-template-columns: 5fr 2fr; /*2025.04.17.変更*/
  grid-template-rows: 1fr;
  grid-gap: 0.25em;
  justify-content: center;
  align-items: stretch;
  padding: 0 0.5em;
}
/*2カラム表示パターンB*/
.page.two-column-b {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  grid-gap: 0.25em;
  justify-content: center;
  align-items: stretch;
  padding: 0 0.5em;
}

/*共通＆1カラム表示のときの中身*/
.container {
  width: 100%;
  max-width: 1280px;
  height: 100%;
  background: #ffffff;
  padding: 2em 4em;
  align-self: stretch;
  overflow-y: scroll;
  scrollbar-color: #aabbcc #ffffff;
  scrollbar-width: auto;
  margin: auto;
}

@media screen and (max-width: 1280px) {
  .container {
    padding-left: 2.5em;
    padding-right: 2.5em;
  }
} /*2025.04.17.追加*/

/*2カラム表示のときの中身*/
.container.container-left {
  width: 100%;
  max-width: 1920px;
}
.container.container-right {
  width: 100%;
}

.page.two-column-a > .container.container-right {
  padding-left: 2.5em;
  padding-right: 2.5em;
} /*2025.04.17.追加*/

/*問題文周り*/
.question {
  width: 100%;
  max-width: 960px;
  margin: 0 auto;
  margin-bottom: 3em;
}
.question__text {
  font-size: 100%;
  margin-bottom: 1em;
}
.question__image {
  width: 100%;
  max-width: 720px;
}
.question__image img {
  width: 100%;
  object-fit: scale-down;
  margin: 1em 0;
}

.question__number,
.question__head {
  color: #333333;
  font-size: 1.25em;
  font-weight: 600;
} /*2025.03.変更*/
.question__number {
  cursor: pointer;
  position: relative;
  padding-left: 20px;
  margin-bottom: 1em;
} /*2025.03.変更*/

.review-checkbox {
  display: inline-block;
  width: 16px;
  height: 16px;
  background: none;
  border: solid 1px #333333;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-0.475em);
} /*2025.03.変更・追加*/

/* 後で見直すにチェックが入っている場合の装飾 */
.review-checkbox.review-later {
  background: rgb(216, 9, 9);
  border: 0px;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-0.475em);
} /*2025.03.変更*/

/*選択肢エリア*/
.choices-area {
  width: 100%;
  max-width: 960px;
  margin: 0 auto;
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 0.5rem;
  border-top: solid 2px #c2c9cf;
  padding-top: 3em;
  padding-bottom: 1em;
}
.page.two-column-a .choices-area {
  border-top: 0;
}

/* two-column-a　内における表示 */
.page.two-column-a > .container.container-right > .choices-area {
  padding-top: 0;
} /*2025.04.17.変更*/
.page.two-column-a
  > .container.container-right
  > .choices-area
  > .choices-area__wrapper
  > .choices-item {
  font-size: 1em;
} /*2025.04.17.追加*/
.page.two-column-a
  > .container.container-right
  > .choices-area
  > .choices-area__wrapper
  > .question__number {
  font-size: 1.1875em;
  font-weight: 600;
} /*2025.04.17.追加*/

.page.two-column-b .container-right .question__text {
  margin-bottom: 2.5em;
}
/*
.choices-area__wrapper {
}
*/
/* 後で見直すにチェックが入っている場合の装飾 */
.choices-area__wrapper.review-later {
  padding-left: 0.5em;
  border-left: solid 0.25em rgb(216, 9, 9);
}
.choices-item {
  font-size: 1.125em;
  padding: 0.5em 0;
}

.choices-item:first-child {
  padding-top: 0;
}
.choices-item:last-child {
  padding-bottom: 0;
}

/* 線囲み（★2025.03.追加） */
.line-solid {
  border: solid 1px #333333;
  padding: 1em;
  margin-bottom: 1em;
}
.line-dotted {
  border: dotted 2px #333333;
  padding: 1em;
  margin-bottom: 1em;
}

/*ボタンエリア*/
.btn-area {
  width: 100%;
  height: 64px;
  display: grid;
  background: #fdfeff;
  border-top: solid 8px #e9ebee;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: 1fr;
  grid-gap: 0.75em;
  justify-content: center;
  align-items: center;
  padding: 0 2em;
} /*2025.03.変更*/

.btn-area input,
.btn-area label {
  font-size: 0.875em;
  font-weight: 600;
  text-align: center;
}
.btn-style {
  width: 100%;
  max-width: 160px;
  height: 42px;
  background: #1f4070;
  border-radius: 0.25em;
  color: #ffffff;
  font-weight: 600;
  margin: 0;
  padding: 0.75em 1em;
  cursor: pointer;
}
.btn-style:hover {
  background: rgb(42, 114, 221);
}
.btn-style:active {
  background: rgb(42, 114, 221);
}

.btn-style.no-press {
  background: #8898a6;
  cursor: default;
}

/* 電卓 */
#calculator {
  display: none;
}
.calculator-button {
  display: block;
  cursor: pointer;
  width: 100%;
  height: 100%;
}

.calculator {
  display: none;
  width: calc(16em + 4px); /*ボーダー分*/
  border: solid 2px #334455;
  position: absolute;
  right: 0;
  bottom: 64px;
  box-sizing: border-box;
  box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.35);
}
input#calculator:checked ~ .calculator {
  display: block;
}
.calculator__wrapper {
  display: grid;
  grid-template-areas:
    "a a a a"
    "b b b b"
    "c d e f"
    "g h i j"
    "k l m n"
    "o p q r";
  grid-template-rows: 2em repeat(6, 4em);
  grid-template-columns: repeat(4, 4em);
}
.calculator__wrapper > .calculator-head {
  grid-area: a;
  background: #334455;
}
.calculator__wrapper > .display {
  grid-area: b;
  background: #ffffff;
  color: #333333;
  font-size: 2em;
  font-weight: 600;
  text-align: right;
  padding: 0.25em;
}
.calculator__wrapper > .keypad {
  background: #1f4070;
  color: #ffffff;
  border: solid 1px #aabbcc;
  display: flex;
  justify-content: center;
  align-items: center;
}
.calculator__wrapper > .keypad:active {
  background: rgb(42, 114, 221);
}

/* ポップアップ */
#popup {
  display: none; /* label でコントロールするので input は非表示に */
}
.popup-open {
  display: block;
  cursor: pointer;
  width: 100%;
  height: 100%;
}
.popup-overlay {
  display: none;
  z-index: 9998;
  background-color: rgba(0, 0, 0, 0.45);
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}
input#popup:checked ~ .popup-overlay {
  display: block;
}
.popup-window {
  width: 400px;
  padding: 2em 1.5em;
  background-color: #ffffff;
  border: solid 1px #cccccc;
  border-radius: 0.375em;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.35);
  z-index: 9999;
}
.popup-text {
  color: #222222;
  font-weight: 600;
  text-align: center;
  margin-bottom: 1.5em;
}
.popup-btn-area {
  display: flex;
  justify-content: center;
  align-items: center;
}
.popup-finish {
  width: 100px;
  height: 38px;
  background: #1f4070;
  border-radius: 0.25em;
  color: #ffffff;
  font-size: 0.875em;
  font-weight: 600;
  text-align: center;
  margin: 0;
  padding: 0.75em 1em;
  cursor: pointer;
}
.popup-finish:hover {
  background: rgb(42, 114, 221);
}
.popup-close {
  width: 100px;
  height: 38px;
  background: #bbccdd;
  border-radius: 0.25em;
  color: #000000;
  font-size: 0.875em;
  font-weight: 600;
  text-align: center;
  margin-left: 1em;
  padding: 0.75em 1em;
  cursor: pointer;
}
/* 後で見返すチェックボックス */
#review-later {
  display: none;
}
.review-later-button {
  display: block;
  cursor: pointer;
  width: 100%;
  height: 100%;
}

/* 問題一覧ページ */
.answer-status {
  display: grid;
  grid-template-columns: 4fr 1fr;
  grid-template-rows: 1fr;
  grid-gap: 0.25em;
  justify-content: center;
  align-items: stretch;
  padding: 0 0.5em; /*2025.03.変更*/
  padding-top: 0;
}
.questions-list {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: 1fr;
  grid-gap: 1.5em;
  padding: 2em 3em;
}
.explanatory-notes {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
}

.questions-item {
  border: solid 1px #223344;
  border-radius: 0.375em;
  padding: 0.375em;
  display: flex;
  justify-content: center;
  align-items: center;
}
.questions-item input {
  width: 100%;
  height: 100%;
  display: block;
  text-align: center;
}
.questions-item.answered {
  background: rgb(147, 207, 204);
  font-weight: 600;
}
.questions-item.review-later {
  background: rgb(240, 162, 162);
  border: solid 2px rgb(216, 9, 9);
  font-weight: 600;
  position: relative;
}
.questions-item.review-later::after {
  content: "";
  display: block;
  position: absolute;
  top: -0.25em;
  right: -0.5em;
  width: 1.25em;
  height: 0.675em;
  border-left: 4px solid rgb(216, 9, 9);
  border-bottom: 4px solid rgb(216, 9, 9);
  transform: rotate(-45deg);
}
.questions-item.now {
  outline: 6px solid rgb(241, 212, 82);
}
.explanatory-notes > .questions-item {
  width: 4em;
  height: 2.5em;
}
.explanatory-notes > .notes-text {
  text-align: center;
  margin: 0.25em 0 1em 0;
}

/* 試験結果ページ */
header.answer-result {
  height: 80px;
}
.page.answer-result {
  height: calc(100% - 80px - 64px); /*ヘッダとボタンエリアの分を引く*/
}

.judgement-area {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
}
.result-title {
  font-size: 1.375em;
  font-weight: 600;
}
.result-score {
  font-size: 1.5em;
  padding: 0 0.25em;
  margin: 0.5em 0;
  border-bottom: solid 3px rgb(145, 172, 182); /*2025.03.変更*/
}
.score-number {
  font-size: 1.5em;
  font-weight: 600;
  padding: 0 0.5em;
}
.result-pass {
  background: rgb(216, 9, 9);
  border-radius: 0.375em;
  color: #ffffff;
  font-size: 1.75em;
  font-weight: 600;
  padding: 0.2em 0.75em 0 0.75em;
}
.result-fail {
  border: solid 3px rgb(216, 9, 9);
  border-radius: 0.375em;
  color: rgb(216, 9, 9);
  font-size: 1.75em;
  font-weight: 600;
  padding: 0.2em 0.5em 0 0.5em;
}

/* テーブル */
.result-detail {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 4em;
  padding: 1em 4em;
}
.result-detail__table {
  box-sizing: border-box;
  display: flex;
  flex-flow: column nowrap;
  align-self: flex-start;
  border: solid 3px rgb(145, 172, 182); /*2025.03.変更*/
  border-bottom: solid 2px rgb(145, 172, 182); /*2025.03.変更*/
  border-right: solid 2px rgb(145, 172, 182); /*2025.03.変更*/
}
.result-detail__table > .table-head,
.result-detail__table > .table-row {
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr 3fr 3fr;
}
.result-detail__table > .table-head {
  background: #224066;
  color: #ffffff;
}
.result-detail__table > .table-head > .table-cell {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  border-right: solid 1px #cccccc;
  padding: 0.65em 0.25em;
  font-size: 0.8em;
  line-height: 0.8em;
  font-weight: 600;
  text-align: center;
}
.result-detail__table > .table-head > .table-cell:last-child {
  border-right: solid 1px rgb(145, 172, 182); /*2025.03.変更*/
}
.result-detail__table > .table-row.correct {
  background: #ffffff;
}
.result-detail__table > .table-row.incorrect {
  background: rgb(252, 209, 189); /*2025.03.変更*/
}
.result-detail__table > .table-row > .table-cell,
.result-detail__table > .table-wrap > .table-cell.big-question,
.result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  border-right: solid 1px #666666;
  border-bottom: solid 1px #666666;
  padding: 0.35em 0.25em;
  color: #222222;
  font-size: 1em;
  line-height: 1em;
  text-align: center;
} /*2025.03.変更（2級実技対応） */

.result-detail__table > .table-row > .table-cell.number {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0.8em;
  line-height: 0.8em;
  font-weight: 600;
  text-align: center;
}

/* 2級実技の結果一覧（★2025.03.追加） */
.result-detail.fp2-practical {
  grid-gap: 2em;
  padding: 1em 0;
}
.result-detail.fp2-practical > .result-detail__table > .table-wrap {
  display: grid;
  grid-template-columns: 3fr 16fr;
  border-bottom: 4px double #666666;
}
.result-detail.fp2-practical > .result-detail__table > .table-wrap:last-child {
  border-bottom: 0px;
}
.result-detail.fp2-practical > .result-detail__table > .table-head {
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 3fr 3fr 3fr 5fr 5fr;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner {
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 3fr 3fr 5fr 5fr;
}

.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.question-4 {
  grid-column: 1 / 2;
  grid-row: 1 / 5;
  margin: 0;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.question-3 {
  grid-column: 1 / 2;
  grid-row: 1 / 4;
  margin: 0;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.question-2 {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
  margin: 0;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.question-1 {
  grid-column: 1 / 2;
  grid-row: 1 / 2;
  margin: 0;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.table-row.correct {
  background: #ffffff;
}
.result-detail.fp2-practical
  > .result-detail__table
  > .table-wrap
  > .table-row
  > .table-row-inner
  > .table-cell.incorrect {
  background: rgb(252, 209, 189);
}

/* 入口ページ */
h1.entrance-h1 {
  font-size: 1.5em;
  font-weight: 600;
  text-align: center;
}
h2.entrance-h2 {
  font-size: 1.25em;
  font-weight: 600;
  text-align: center;
  margin-bottom: 0.5em;
}
header.entrance {
  width: 100%;
  height: 120px;
  background-image: linear-gradient(
    165deg,
    rgba(255, 226, 131, 1),
    rgba(239, 187, 4, 1) 60%
  );
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  color: #1a1a1a;
  padding: 0.5em 2em;
  border-bottom: solid 2px #fefefe;
}
.page-entrance {
  width: 100%;
  margin: 0;
  background: rgb(245, 245, 235);
}
.entrance-container {
  width: 100%;
  max-width: 1280px;
  background: #fefefe;
  padding: 0;
  padding-bottom: 4em;
  margin: auto;
}
.feature {
  width: 100%;
  margin: 0;
  margin-bottom: 4em;
}
.feature img {
  width: 100%;
  object-fit: cover;
}
.infomation-section {
  width: 50em;
  max-width: 50em;
  margin: 2em auto 5em auto;
}
.link-btn-center {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2em 0;
}
a.book-link-btn {
  background: rgb(34, 160, 154);
  border: solid 4px rgb(147, 207, 204);
  border-radius: 0.75em;
  color: #ffffff;
  font-size: 1.25em;
  font-weight: 600;
  padding: 1em 4em 1em 3em;
  text-decoration: none;
  cursor: pointer;
  position: relative;
  display: inline-block;
}
a.book-link-btn:after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 1em;
  width: 0.75em;
  height: 0.75em;
  border-right: 2px solid #ffffff;
  border-bottom: 2px solid #ffffff;
  transform: translateY(-50%) rotate(-45deg);
}

.note-section {
  width: 100%;
}
/* アコーディオン */
.accordion-note {
  max-width: 50em;
  margin-bottom: 7px;
  background-color: #f2f2f2;
  border-radius: 5px;
  margin: 2em auto;
}

.accordion-note summary {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding: 1em 2em;
  color: #333333;
  font-weight: 600;
  cursor: pointer;
}

.accordion-note summary::-webkit-details-marker {
  display: none;
}

.accordion-note summary::after {
  transform: translateY(-25%) rotate(45deg);
  width: 7px;
  height: 7px;
  margin-left: 10px;
  border-bottom: 3px solid #c2c2c2;
  border-right: 3px solid #c2c2c2;
  content: "";
  transition: transform 0.3s;
}

.accordion-note[open] summary::after {
  transform: rotate(225deg);
}

.accordion-note p {
  transform: translateY(-10px);
  opacity: 0;
  margin: 0;
  padding: 0.3em 2em 1.5em;
  color: #333333;
  transition: transform 0.5s, opacity 0.5s;
}

.accordion-note[open] p {
  transform: none;
  opacity: 1;
}

.select-section {
  width: 100%;
  max-width: 50em;
  border: solid 3px #aabbcc;
  border-radius: 0.5em;
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  padding: 2em;
  gap: 2em;
  margin: 4em auto;
}
.select-book {
  width: 100%;
  font-weight: 600;
  text-align: center;
}
.select-book__text {
  margin-bottom: 0.5em;
}

/* セレクトボックス */
.selectbox-book {
  display: inline-flex;
  align-items: center;
  position: relative;
}

.selectbox-book::after {
  position: absolute;
  right: 15px;
  width: 10px;
  height: 7px;
  background-color: #535353;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
  content: "";
  pointer-events: none;
}

.selectbox-book select {
  appearance: none;
  min-width: 30em;
  height: 2.8em;
  padding: 0.4em calc(0.8em + 30px) 0.4em 0.8em;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  background-color: #fff;
  color: #333333;
  font-size: 1em;
  cursor: pointer;
}

.input-password {
  display: block;
  width: 30em;
  border: solid 1px #535353;
  border-radius: 0.25em;
  padding: 0.5em;
  color: #535353;
}
.submit-btn {
  background: #1f4070;
  border-radius: 0.25em;
  color: #ffffff;
  font-size: 0.875em;
  font-weight: 600;
  margin: 0;
  padding: 0.75em 2em;
  cursor: pointer;
}
.entrance-footer {
  width: 100%;
  background: #444444;
  padding: 2em;
  color: #ffffff;
  font-size: 0.75em;
  text-align: center;
}

/* 各級科目選択ページ */
header.subject-select {
  height: 80px;
}
.page.subject-select {
  height: calc(100% - 80px); /*ヘッダの分を引く*/
}
.subject_select-head {
  width: 100%;
  max-width: 46em;
  margin: 1em auto;
  font-size: 1.25em;
  font-weight: 600;
  text-align: center;
}
.subject-select-text {
  width: 100%;
  max-width: 46em;
  margin: 0 auto;
}
.subject-select-text p {
  margin: 0.5em 0;
  font-size: 1em;
  line-height: 1.4em;
}
.subject-select-table {
  width: 100%;
  max-width: 46em;
  display: grid;
  grid-template-columns: 3fr 1fr;
  border-top: solid 1px rgb(42, 114, 221);
  border-left: solid 1px rgb(42, 114, 221);
  margin: 3em auto;
}
.subject-select-table-item {
  border-right: solid 1px rgb(42, 114, 221);
  border-bottom: solid 1px rgb(42, 114, 221);
  font-size: 1.25em;
  padding: 0.5em;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.subject-select-table-item.head {
  grid-column: 1/3;
  font-size: 1em;
  text-align: center;
  font-weight: 600;
  justify-content: center;
}
input.exam-start-btn {
  background: #1f4070;
  border-radius: 0.25em;
  color: #ffffff;
  font-size: 0.75em;
  font-weight: 600;
  margin: 0;
  padding: 0.5em 1.5em;
  cursor: pointer;
  display: block;
  margin: 0 auto;
}
.btn-style:hover {
  background: rgb(42, 114, 221);
}

/* 入口ページに戻るボタン（★2025.03.追加） */
.back-btn-area {
  width: 100%;
  text-align: center;
}
.back-btn-area__btn {
  display: inline-block;
  background: rgb(199, 214, 224);
  border-radius: 2.6em;
  color: #000000;
  font-weight: 600;
  padding: 0.75em 1.25em 0.75em 2.25em;
  margin: 1em auto 3em auto;
  text-decoration: none;
  position: relative;
}
a.back-btn-area__btn:before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 1.125em;
  width: 0.75em;
  height: 0.75em;
  border-right: 2px solid #000000;
  border-bottom: 2px solid #000000;
  transform: translateY(-50%) rotate(135deg);
}
a.back-btn-area__btn:hover {
  background: rgb(239, 187, 4);
}

/* ----- 個別設定 ----- */

/* テキスト個別 */
.ft-110 {
  font-size: 110%;
}

/* 表示・非表示切り替え */
.no-display {
  display: none;
}
